%define         anolis_release 2
%global         tar_name %%(echo %{name} | tr 'a-z-' 'A-Z_')
%global         tar_version %%(echo %{version} | tr '.' '_')

Name:           at-spi2-core
Version:        2.44.0
Release:        %{anolis_release}%{?dist}
Summary:        Protocol definitions and daemon for D-Bus at-spi

License:        LGPLv2+
URL:            https://github.com/GNOME/at-spi2-core
Source0:        %{url}/archive/refs/tags/%{tar_name}_%{tar_version}.tar.gz
Source1:        xwayland-session-scriptlet

BuildRequires:  gettext
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk-doc
BuildRequires:  meson
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xtst)

Requires:       dbus

%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

This version of at-spi is a major break from previous versions.
It has been completely rewritten to use D-Bus rather than
ORBIT / CORBA for its transport protocol.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Development files and headers for at-spi2-core
Requires: %{name} = %{version}-%{release}

%description devel
The at-spi2-core-devel package includes the header files and
API documentation for libatspi.

%prep
%autosetup -p1 -n %{name}-%{tar_name}_%{tar_version}

%build
%meson -Ddocs=true -Ddefault_bus=dbus-broker -Ddbus_daemon=/usr/bin/dbus-daemon -Ddbus_broker=/usr/bin/dbus-broker-launch
%meson_build

%install
%meson_install
install -d %{buildroot}%{_sysconfdir}/xdg/Xwayland-session.d
install -m 0755 %{SOURCE1} %{buildroot}%{_sysconfdir}/xdg/Xwayland-session.d/00-at-spi

%generate_compatibility_deps

%{find_lang} %{name}

%files -f %{name}.lang
%dir %{abidir}
%license COPYING
%{_libexecdir}/at-spi2-registryd
%dir %{_datadir}/defaults
%dir %{_datadir}/defaults/at-spi2
%{_datadir}/defaults/at-spi2/accessibility.conf
%{_sysconfdir}/xdg/autostart/at-spi-dbus-bus.desktop
# the 'logical' owner of this dir is gnome-settings-daemon, but g-s-d
# indirectly depends on this package, so depending on it to provide
# this directory would create a circular dependency. so we just co-own
# it instead
%dir %{_sysconfdir}/xdg/Xwayland-session.d
%{_sysconfdir}/xdg/Xwayland-session.d/00-at-spi
%{_libdir}/libatspi.so.*
%{abidir}/libatspi.dump
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Atspi-2.0.typelib
%{_libexecdir}/at-spi-bus-launcher
%{_datadir}/dbus-1/accessibility-services/org.a11y.atspi.Registry.service
%{_datadir}/dbus-1/services/org.a11y.Bus.service
%{_userunitdir}/at-spi-dbus-bus.service

%files doc
%doc AUTHORS README.md

%files devel
%{_libdir}/libatspi.so
%{_datadir}/gtk-doc/html/libatspi
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Atspi-2.0.gir
%{_includedir}/at-spi-2.0
%{_libdir}/pkgconfig/atspi-2.pc

%changelog
* Wed Nov 02 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.44.0-2
- optimise spec file & add doc package

* Thu Apr 14 2022 yuanhui <yuanhui@linux.alibaba.com> - 2.44.0-1
- Init at-spi2-core for anolis os 23
